aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libaio/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2009-03-11 08:32:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-11 12:13:54 +0000
commit4a9f53ed24c4452d01b01082d7e3e595de545428 (patch)
tree8fb4362901b7e52ff0f58a08de1e22ad28d0c474 /testing/libaio/APKBUILD
parentcbea729393aa8736e529eeff8f34fab6a984fe3a (diff)
downloadaports-4a9f53ed24c4452d01b01082d7e3e595de545428.tar.gz
aports-4a9f53ed24c4452d01b01082d7e3e595de545428.tar.bz2
aports-4a9f53ed24c4452d01b01082d7e3e595de545428.tar.xz
testing/libaio: new aport
Diffstat (limited to 'testing/libaio/APKBUILD')
-rw-r--r--testing/libaio/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/testing/libaio/APKBUILD b/testing/libaio/APKBUILD
new file mode 100644
index 0000000000..4108c4eb20
--- /dev/null
+++ b/testing/libaio/APKBUILD
@@ -0,0 +1,21 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname="libaio"
+pkgver="0.3.107"
+pkgrel=0
+pkgdesc="Asynchronous input/output library that uses the kernels native interface"
+url="http://www.kernel.org/pub/linux/kernel/people/andrea/libaio/ http://lse.sourceforge.net/io/aio.html"
+license="LGPL-2"
+depends="uclibc"
+makedepends=""
+install=
+subpackages="$pkgname-dev"
+source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make prefix="$pkgdir/usr" sysconfdir="$pkgdir/etc" mandir="$pkgdir/usr/share/man" infodir="$pkgdir/usr/share/info" install || return 1
+}
+
+md5sums="db32c19c61ca937bcb1ba48da9180682 libaio-0.3.107.tar.gz"